using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x13FD, 0x13FC )]
	public class HeavyCrossbow : BaseRanged
	{
		public override int EffectID{ get{ return 0x1BFE; } }

		[Constructable]
		public HeavyCrossbow() : base( 11, 56, 10, 0x234, 0x238, 8, SkillName.Archery, WeaponType.Ranged, WeaponAnimation.ShootXBow, 0x13FD, Layer.TwoHanded )
		{
			Weight = 9.0;
		}

		public HeavyCrossbow( Serial serial ) : base( serial )
		{
		}

		public override bool OnFired( Mobile attacker, Mobile defender )
		{
			Container pack = attacker.Backpack;

			if ( pack != null && pack.ConsumeTotal( typeof( Bolt ), 1 ) )
				return base.OnFired( attacker, defender );

			return false;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}