using System;
using Server.Items;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a giant spider corpse")]
	public class Giantspider : BaseCreature
	{
		[Constructable]
		public Giantspider() :base( AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0x1C;
			this.Name = ("a giant spider");
			this.VirtualArmor = 16;
			this.BaseSoundID = 0x183;

			this.InitStats(Utility.Random(76,25),Utility.Random(76,19),Utility.Random(36,24));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(54,13);
			this.Skills[SkillName.Tactics].Base = Utility.Random(37,14);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(25,16);
			this.Skills[SkillName.Poisoning].Base = Utility.Random(60,20);

			this.Fame = Utility.Random(0,1249);
			this.Karma = -Utility.Random(0,624);

			Container pack = new Backpack();

			pack.Movable = false;

			pack.DropItem(new Gold(0,50));
			pack.DropItem(new SpidersSilk(Utility.Random(8,8)));

			this.AddItem(pack);
		}

		public Giantspider(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}