using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a silver serpant corpse")]
	public class Silverserpant : BaseCreature
	{
		[Constructable]
		public Silverserpant() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 92;
			this.Name = ("a silver serpant");
			this.VirtualArmor = 40;

			this.InitStats(Utility.Random(196,140),Utility.Random(172,109),Utility.Random(21,17));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(86,15);
			this.Skills[SkillName.Tactics].Base = Utility.Random(84,11);
			this.Skills[SkillName.MagicResist].Base = Utility.Random(96,5);
			this.Skills[SkillName.Poisoning].Base = Utility.Random(94,7);

			this.Fame = Utility.Random(5000,4999);
			this.Karma = Utility.Random(-5000,-4999);
		}

		public Silverserpant(Serial serial) : base(serial)
		{
		}

		public override int GetIdleSound() 
		{ 
			return 0x1BF; 
		} 

		public override int GetAttackSound() 
		{ 
			return 0x1C0; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x1C1; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x1C2; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}