/* 
- Added other numbers for future version of taming system with increase 
difficulty with each tamming of an animal that you have not tamed before
Skill 2nd 5.1
Skill 3rd 11.1
Skill 4th 17.1
*/
using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName("a jack rabbit corpse")]
	public class Jackrabbit : BaseCreature
	{
		[Constructable]
		public Jackrabbit() : base(AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			this.Body = 0xCD;
			this.Name = ("a jack rabbit");
			this.VirtualArmor = 4;

			this.InitStats((15),(25),(10));

			this.Skills[SkillName.Wrestling].Base = (7);
			this.Skills[SkillName.Tactics].Base = (5);
			this.Skills[SkillName.MagicResist].Base = (5);

			this.Fame = Utility.Random(0,1249);
			this.Karma = Utility.Random(0,-624);

			ControlSlots = 1;
			Tamable = true;
			MinTameSkill = - 0.9;// Skill 1st
			MaxTameSkill = 23.1;// Skill 5th
		}

		public Jackrabbit(Serial serial) : base(serial)
		{
		}

		public override int GetAttackSound() 
		{ 
			return 0xC9; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0xCA; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0xCB; 
		} 

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}