using System;
using Server.Items;
using Server.Targeting;
using System.Collections;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.GenerateRandomMagicItems;


namespace Server.Mobiles
{
	[CorpseName( "a terathan avenger corpse" )]
	public class TerathanAvenger : BaseCreature
	{
		[Constructable]
		public TerathanAvenger() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 152;
			Name = "a terathan avenger";
			BaseSoundID = 263;

			SetStr( 501, 585 );
			SetDex(  79,  95 );
			SetInt(  60,  48 );

			SetSkill( SkillName.Wrestling, 93, 99 );
			SetSkill( SkillName.Tactics, 99, 90 );
			SetSkill( SkillName.MagicResist, 67, 79 );
			SetSkill( SkillName.Magery, 81, 97 );

			VirtualArmor = 50;

			SetFameLevel( 5 );
			SetKarmaLevel( 5 );

			PackItem( new Gold( 200, 250 ) );
			PackItem( RandomScroll.CreateScroll( 1, 7 ) );

			switch ( Utility.Random( 9 ))
			{
				case 0: PackItem( new Amber() ); break;
				case 1: PackItem( new Amethyst() ); break;
				case 2: PackItem( new Citrine() ); break;
				case 3: PackItem( new Diamond() ); break;
				case 4: PackItem( new Emerald() ); break;
				case 5: PackItem( new Ruby() ); break;
				case 6: PackItem( new Sapphire() ); break;
				case 7: PackItem( new StarSapphire() ); break;
				case 8: PackItem( new Tourmaline() ); break;
			}

			// 30% chance to get magic armor, then about 15% chance to get magic weapon
			if ( 0.3 >= Utility.RandomDouble() ) 
			{
				if ( 0.75 >= Utility.RandomDouble() )
				{
					PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 ));
				}
				PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 ));
			}
		}

		public TerathanAvenger( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
