using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a snow elemental corpse" )]
	public class SnowElemental : BaseCreature
	{
		[Constructable]
		public SnowElemental() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 163;
			Name = "a snow elemental";
			BaseSoundID = 263;

			SetStr( 327, 353 );
			SetDex( 167, 182 );
			SetInt( 72, 91 );
			SetSkill( SkillName.Wrestling, 82, 97 );
			SetSkill( SkillName.Tactics, 83, 96 );
			SetSkill( SkillName.MagicResist, 52, 63 );

			VirtualArmor = 50;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

				PackItem( new IronOre( 3 ));
				PackItem( new BlackPearl( 3 ));
				PackItem( new Gold( 200, 250 ));

			// 30% chance to get magic armor, then about 15% chance to get magic weapon
			if ( 0.3 >= Utility.RandomDouble() ) 
			{
				if ( 0.75 >= Utility.RandomDouble() )
				{
					PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 ));
				}
				PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 ));
			}
		}

		public SnowElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
