using System; 
using System.Collections; 
using Server.Items; 
using Server.ContextMenus; 
using Server.Misc; 
using Server.Network; 

namespace Server.Mobiles 
{ 
   public class Brigand : BaseCreature 
   { 
      [Constructable] 
      public Brigand() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
      { 

         SpeechHue = Utility.RandomDyedHue(); 
         Title = "the brigand"; 
    Kills = 20; 
         Hue = Utility.RandomSkinHue(); 

         if ( this.Female = Utility.RandomBool() ) 
         { 
            this.Body = 0x191; 
            this.Name = NameList.RandomFemaleName(); 
            AddItem( new Skirt( Utility.RandomNeutralHue() ) ); 
         } 
         else 
         { 
            this.Body = 0x190; 
            this.Name = NameList.RandomMaleName(); 
            AddItem( new ShortPants( Utility.RandomNeutralHue() ) ); 
         } 
         this.Criminal = true; 
    
    SetStr( 80, 103 ); 
    SetDex( 86, 94 ); 
      SetInt( 31, 64 ); 
         SetSkill( SkillName.Poisoning,35, 58); 
         SetSkill( SkillName.Fencing,45, 68); 
         SetSkill( SkillName.Swords,35, 58); 
         SetSkill( SkillName.Wrestling,35, 58); 
         SetSkill( SkillName.Macing,25, 48); 
         SetSkill( SkillName.Tactics,55, 78); 

    SetFameLevel( 2 ); 
    SetKarmaLevel( 2 ); 

         AddItem( new Boots( Utility.RandomNeutralHue() ) ); 
         AddItem( new FancyShirt()); 
         AddItem( new Bandana()); 

         switch ( Utility.Random( 7 )) 
         { 
            case 0: AddItem( new Longsword()); break; 
            case 1: AddItem( new Cutlass()); break; 
            case 2: AddItem( new Broadsword()); break; 
            case 3: AddItem( new Axe());break; 
            case 4: AddItem( new Club());break; 
            case 5: AddItem( new Dagger());break; 
            case 6: AddItem( new Spear());break; 
         } 

         Item hair = new Item( Utility.RandomList( 0x203B, 0x2049, 0x2048, 0x204A ) ); 
         hair.Hue = Utility.RandomNondyedHue(); 
         hair.Layer = Layer.Hair; 
         hair.Movable = false; 
         AddItem( hair ); 

         Container pack = new Backpack(); 
         pack.DropItem( new Gold( 200, 250 ) ); 
         pack.Movable = false;  
         AddItem( pack ); 
      } 

      public Brigand( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
} 
