using System; 
using System.Collections; 
using Server.Items; 
using Server.Targeting; 
using Server.GenerateRandomMagicItems; 

namespace Server.Mobiles 
{ 
   [CorpseName( "a centaur corpse" )] 
   public class Centaur : BaseCreature 
   { 
      [Constructable] 
      public Centaur() : base( AIType.AI_Melee, FightMode.Agressor, 10, 1, 0.2, 0.4 ) 
      { 
         Body = 101; 
         Name = "a centaur"; 
         BaseSoundID = 678; 

         SetStr( 221, 288 ); 
         SetDex( 142, 239 ); 
         SetInt( 91, 100 ); 
         SetSkill( SkillName.Wrestling, 95, 99 ); 
         SetSkill( SkillName.Tactics, 90, 100 ); 
         SetSkill( SkillName.MagicResist, 56, 73 ); 
         SetSkill( SkillName.Anatomy, 95, 113 ); 

         VirtualArmor = 50; 
         SetFameLevel( 3 ); 
         SetKarmaLevel( 3 ); 

         // 2 in 8 chance of getting magic weapon =) 
         switch ( Utility.Random( 8 )) 
         { 
            case 0: PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 )); break; 
            case 1: PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 )); break; 
            case 2: PackItem( new Katana() ); break; 
            case 3: PackItem( new BodySash() ); break; 
            case 4: PackItem( new Halberd() ); break; 
            case 5: PackItem( new ChainChest() ); break; 
            case 6: PackItem( new StuddedChest() ); break; 
            case 7: PackItem( new ChainLegs() ); break; 
         } 
          
         Bow bow = new Bow(); 

         bow.Movable = false; 
         bow.Crafter = this; 
         bow.Quality = WeaponQuality.Exceptional; 

         AddItem( bow ); 

         Container pack = new Backpack(); 

         pack.Movable = false; 

         Arrow arrows = new Arrow( 100 ); 

         arrows.LootType = LootType.Newbied; 

         pack.DropItem( arrows ); 
         PackItem( new Gold( 250, 300 ) ); 
         PackItem( RandomScroll.CreateScroll( 2, 7 ) ); 
         PackItem( RandomScroll.CreateScroll( 2, 7 ) ); 
         PackItem( new Arrow( 100 ) ); 

         AddItem( pack ); 

      } 

      public Centaur( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 
      } 
   } 
} 
