using System; 
using System.Collections; 
using Server.Items; 
using Server.GenerateRandomMagicItems; 

namespace Server.Mobiles 
{ 
   [CorpseName( "a tree corpse" )] 
   public class BogThing : BaseCreature 
   { 
      [Constructable] 
      public BogThing() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 ) 
      { 
         Body = 47; 
         Name = "a bog thing"; 
         BaseSoundID = 442; 
         this.Hue = 0x0366; 

         SetStr( 354, 520 ); 
         SetDex( 92, 106 ); 
         SetInt( 1, 1 ); 
         SetSkill( SkillName.Wrestling, 94, 113 ); 
         SetSkill( SkillName.Tactics, 76, 97.5 ); 
         SetSkill( SkillName.MagicResist, 96, 103 ); 

         VirtualArmor = 50; 
         SetFameLevel( 4 ); 
         SetKarmaLevel( 4 ); 

         Frozen = false; 
          

            PackItem( new Log( 50)); 
            PackItem( new Gold( 500, 2300 )); 

         // 30% chance to get magic armor, then about 15% chance to get magic weapon 
         if ( 0.3 >= Utility.RandomDouble() ) 
         { 
            if ( 0.75 >= Utility.RandomDouble() ) 
            { 
               PackItem( RandomMagicItem.RandomMagicWeapon( (BaseWeapon)RandomMagicItem.RandomWeapon, 1, 5 )); 
            } 
            PackItem( RandomMagicItem.RandomMagicArmor( (BaseArmor)RandomMagicItem.RandomArmor, 1, 5 )); 
         } 
      } 

      public BogThing( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 
         writer.Write( (int) 0 ); 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 
         int version = reader.ReadInt(); 
      } 
   } 
} 
