using System;
using Server;
using Server.Gumps;
using Server.Network;

namespace Server.Multis
{
	public class ConfirmDryDockGump : Gump
	{
		private Mobile m_From;
		private BaseBoat m_Boat;

		public ConfirmDryDockGump( Mobile from, BaseBoat boat ) : base( 100, 100 )
		{
			m_From = from;
			m_Boat = boat;

			m_From.CloseGump( typeof( ConfirmDryDockGump ) );

			AddBackground( 0, 0, 220, 100, 0x13BE );
			AddBackground( 10, 10, 200, 80, 0xBB8 );

			AddHtmlLocalized( 15, 15, 190, 40, 1018319, false, false ); // Do you wish to dry dock this boat?

			AddButton( 15, 65, 0xFB7, 0xFB9, 1, GumpButtonType.Reply, 0 );
			AddHtmlLocalized( 48, 65, 100, 20, 1011036, false, false ); // OKAY

			AddButton( 115, 65, 0xFB7, 0xFB9, 0, GumpButtonType.Reply, 0 );
			AddHtmlLocalized( 148, 65, 100, 20, 1011012, false, false ); // CANCEL
		}

		public override void OnResponse( NetState state, RelayInfo info )
		{
			if ( info.ButtonID == 1 )
				m_Boat.EndDryDock( m_From );
		}
	}
}