// TasteID Skill Script v.0.2 by SickLab (2002-09-29)

using System;
using Server.Targeting;
using Server.Items;
using Server.Network;

namespace Server.SkillHandlers
{
	public class TasteID
	{
		public static void Initialize()
		{
			SkillInfo.Table[(int)SkillName.TasteID].Callback = new SkillUseCallback( OnUse );
		}

		public static TimeSpan OnUse( Mobile m )
		{
			m.Target = new InternalTarget();

			m.SendLocalizedMessage( 502807 ); // What would you like to taste?

			return TimeSpan.FromSeconds( 10.0 ); // 10 second delay before beign able to re-use a skill
		}

		private class InternalTarget : Target
		{
			public InternalTarget() :  base ( 2, false, TargetFlags.None )
			{
			}

			protected override void OnTarget( Mobile from, object targeted )
			{
				if ( targeted is Mobile )
				{
					from.SendLocalizedMessage( 502816 ); // You feel that such an action would be inappropriate
				}
				else if ( targeted is Food )
				{
					if ( from.CheckSkill( SkillName.TasteID, 0, 100 ) )
					{
						Food targ = (Food)targeted;

						if ( targ.Poison != null )
						{
							from.SendLocalizedMessage( 1038284 ); // It appears to have poison smeared on it
						}
						else
						{
							// No poison on the food
							from.SendLocalizedMessage( 502823 ); // You cannot discern anything about this substance
						}
					}
					else
					{
						// Skill check failed
						from.SendLocalizedMessage( 502823 ); // You cannot discern anything about this substance
					}
				}
				else
				{
					// The target is not food. (Potion support in the next version)
					from.SendLocalizedMessage( 502820 ); // That's not something you can taste
				}
			}
		}
	}
}